View Issue Details

IDProjectCategoryView StatusLast Update
0000078VitalPBX[All Projects] Bugpublic2018-03-13 17:33
ReporterstmartinvinAssigned Tomrivera 
PriorityhighSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformVitalPBXOSCentosOS Version7
Product Version2.0.0-4RC2 
Target VersionFixed in Version2.0.0-5 
Summary0000078: Can't create user with restreint access to endpoint management
DescriptionI want to let some of my IT Technician to be able to deploy phones, I can not create a profile because of a bug in endpoint management. There no model or template in the drop-down list with their profile.
Steps To ReproduceCreate a profil to a user who have acces to :
     - PBX -->> Extension (screen shot 1)
     - EndPoint Management (screen shot 2)
After, you need to try to add a device in endpoint management, there no model or template in the drop-down list with this profil. (screen shot 3 and 4)
TagsNo tags attached.

Activities

stmartinvin

2018-03-07 19:23

reporter  

UserBugVitalPBX2.png (129,239 bytes)
UserBugVitalPBX2.png (129,239 bytes)
UserBugVitalPBX3.png (92,331 bytes)
UserBugVitalPBX3.png (92,331 bytes)
UserBugVitalPBX1.png (93,481 bytes)
UserBugVitalPBX1.png (93,481 bytes)
UserBugVitalPBX4.png (94,048 bytes)
UserBugVitalPBX4.png (94,048 bytes)

mrivera

2018-03-07 19:58

administrator   ~0000115

We will check it

mrivera

2018-03-08 14:57

administrator   ~0000116

Users with specific access to Enpoint Settings are not able to scan subnet, edit templates, get templates, etc.

mrivera

2018-03-08 23:20

administrator   ~0000117

The issue has been fixed.

Issue History

Date Modified Username Field Change
2018-03-07 19:23 stmartinvin New Issue
2018-03-07 19:23 stmartinvin Status new => assigned
2018-03-07 19:23 stmartinvin Assigned To => mrivera
2018-03-07 19:23 stmartinvin File Added: UserBugVitalPBX2.png
2018-03-07 19:23 stmartinvin File Added: UserBugVitalPBX3.png
2018-03-07 19:23 stmartinvin File Added: UserBugVitalPBX1.png
2018-03-07 19:23 stmartinvin File Added: UserBugVitalPBX4.png
2018-03-07 19:58 mrivera Note Added: 0000115
2018-03-08 14:57 mrivera Status assigned => confirmed
2018-03-08 14:57 mrivera Note Added: 0000116
2018-03-08 23:20 mrivera Status confirmed => resolved
2018-03-08 23:20 mrivera Resolution open => fixed
2018-03-08 23:20 mrivera Fixed in Version => 2.0.0-5
2018-03-08 23:20 mrivera Note Added: 0000117
2018-03-13 17:33 mrivera Status resolved => closed